Create an FCA Number for a Firm Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/firm/{firm}/fca

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • firm string Required

    The firm.

application/json

Body

  • fca_number integer Required

    An FCA Number in a 6 or 7-digit format

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • fca_number integer
    • status string
    • rejected_reason string
    • actioned_at string
  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
POST /api/v1/firm/{firm}/fca
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/firm/architecto/fca' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"fca_number":123456}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "fca_number": 123456
}
Response examples (201)
[
  {
    "uuid": "4bd865eb-4cde-41c2-9aac-14d3775b7724",
    "fca_number": 123456,
    "status": "verified",
    "rejected_reason": "Reason for rejection",
    "actioned_at": "2026-08-07T15:29:24+01:00"
  }
]
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}